MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031965Community[OCCT] OCCT:Visualizationpublic2020-11-30 06:342020-12-05 13:01
Reporterxuweibin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031965: Visualization - AIS_InteractiveContext::HilightWithColor() ignores passed highlight style [regression]
Descriptionthe method Hilight() calls HilightWithColor (theObj, myStyles[Prs3d_TypeOfHighlight_Dynamic], theIsToUpdateViewer);
The effect should be the style of Prs3d_TypeOfHighlight_Dynamic.
I found that HilightWithColor() calls highlightGlobal() and then calls gighlightOwners() ,and gighlightOwners() use getSelStyle(),the result is the selected style not the hilight style .
This is a bug by occ7.5? Or I use the deprecated method?
TagsNo tags attached.
Test case numberbugs/vis/bug31965
Attached Files

- Relationships
child of 0027818closedkgv Open CASCADE Visualization - provide an interface to define highlight presentation properties 
child of 0030728closedbugmaster Open CASCADE Visualization - using one implementation of highlight/unhighlight in context 

-  Notes
(0097149)
kgv (developer)
2020-11-30 11:03

xuweibin, as far as I can see, this could be a regression since 0030728, which has been landed in OCCT 7.4.0, not 7.5.0.

Could you please comment if you experience a regression while porting from older OCCT release (which one) or while writing a new functionality?
(0097150)
xuweibin (reporter)
2020-11-30 11:20

In occt7.3,I set both hilightstyle and selectedStyle.when I call hilight one ais_shape,the result is the hilightstyle. Now I test this function in occ7.5,the result is the selectedstyle.
(0097156)
git (administrator)
2020-11-30 11:47

Branch CR31965 has been created by kgv.

SHA-1: 18bde3b13d8fec6b616075a8acf80277ad9236ef


Detailed log of new commits:

Author: kgv
Date: Mon Nov 30 11:47:30 2020 +0300

    0031965: Visualization - AIS_InteractiveContext::HilightWithColor() ignores passed highlight style
    
    AIS_InteractiveContext::highlightGlobal() now passed through Style argument to highlightOwners().
    Added OCC31965 command for testing AIS_InteractiveContext::Hilight() behavior.
(0097161)
kgv (developer)
2020-11-30 13:51

Patch is ready for review
- OCCT branch: CR31965.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31965-master-KGV [^]
(0097169)
osa (developer)
2020-11-30 14:58

The patch was reviewed
(0097344)
bugmaster (administrator)
2020-12-05 11:57

Combination -
OCCT branch : IR-2020-12-04
master SHA - 1e08a76f1e872a1f38931a6c3e8cf71396fc1209
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-04 SHA - cb56638fb6b31df41b28133f69a1dc202dcb56aa
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18090.67999999998 / 18052.040000000085 [+0.21%]
Products
Total CPU difference: 12342.950000000128 / 12326.850000000131 [+0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 19751.5 / 19705.828125 [+0.23%]
Products
Total CPU difference: 13772.515625 / 13793.796875 [-0.15%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097366)
git (administrator)
2020-12-05 13:01

Branch CR31965 has been deleted by inv.

SHA-1: 18bde3b13d8fec6b616075a8acf80277ad9236ef

- Related Changesets
occt: master 4268c646
Timestamp: 2020-11-30 08:47:30
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031965: Visualization - AIS_InteractiveContext::HilightWithColor() ignores passed highlight style

AIS_InteractiveContext::highlightGlobal() now passed through Style argument to highlightOwners().
Added OCC31965 command for testing AIS_InteractiveContext::Hilight() behavior.
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
add - tests/bugs/vis/bug31965 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-11-30 06:34 xuweibin New Issue
2020-11-30 06:34 xuweibin Assigned To => kgv
2020-11-30 10:48 kgv Relationship added child of 0027818
2020-11-30 11:00 kgv Relationship added child of 0030728
2020-11-30 11:00 kgv Product Version 7.5.0 => 7.4.0
2020-11-30 11:00 kgv Target Version => 7.6.0*
2020-11-30 11:01 kgv Summary AIS_InteractiveContext::Hilight() is wrong in occ7.5? => Visualization - AIS_InteractiveContext::HilightWithColor() ignores passed highlight style
2020-11-30 11:03 kgv Note Added: 0097149
2020-11-30 11:20 xuweibin Note Added: 0097150
2020-11-30 11:47 git Note Added: 0097156
2020-11-30 13:51 kgv Note Added: 0097161
2020-11-30 13:51 kgv Assigned To kgv => osa
2020-11-30 13:51 kgv Status new => resolved
2020-11-30 13:51 kgv Summary Visualization - AIS_InteractiveContext::HilightWithColor() ignores passed highlight style => Visualization - AIS_InteractiveContext::HilightWithColor() ignores passed highlight style [regression]
2020-11-30 14:58 osa Note Added: 0097169
2020-11-30 14:58 osa Assigned To osa => bugmaster
2020-11-30 14:58 osa Status resolved => reviewed
2020-12-05 11:57 bugmaster Note Added: 0097344
2020-12-05 11:57 bugmaster Status reviewed => tested
2020-12-05 12:00 bugmaster Test case number => bugs/vis/bug31965
2020-12-05 12:15 bugmaster Changeset attached => occt master 4268c646
2020-12-05 12:15 bugmaster Status tested => verified
2020-12-05 12:15 bugmaster Resolution open => fixed
2020-12-05 13:01 git Note Added: 0097366


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker